Bug 996057 - [AMQP 1.0] Deleting topic which doesn't exist crashes the broker
[AMQP 1.0] Deleting topic which doesn't exist crashes the broker
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
high Severity unspecified
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
:
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-08-12 06:42 EDT by Gordon Sim
Modified: 2015-01-21 07:55 EST (History)
5 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:55:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5054 None None None Never

  None (edit)
Description Gordon Sim 2013-08-12 06:42:37 EDT
Description of problem:

Deleting a non-existent topic entity crashes the broker

Version-Release number of selected component (if applicable):

qpid-0.22

How reproducible:

100%

Steps to Reproduce:
1. qpidt delete topic i-do-not-exist

Actual results:

broker crashes

Expected results:

broker doesn't crash; get some error message

Additional info:
Comment 1 Gordon Sim 2013-08-12 07:07:48 EDT
Fixed upstream https://svn.apache.org/r1511762
Comment 2 Petr Matousek 2014-03-28 10:08:49 EDT
This issue has been fixed. Verified on rhel6.5 (x86_64, i386).

packages under test:
qpid-tools-0.22-9
qpid-cpp-*-0.22-36

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.